| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.TransformMatrix4Factory Class Reference
Inheritance diagram for IOLink.TransformMatrix4Factory:

## Public Member Functions
| TransformMatrix4Factory (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (TransformMatrix4Factory obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (TransformMatrix4Factory obj)
static Matrix4d | Translation (Vector3d v)
static Matrix4d | RotationEuler (Vector3d angles, string convention)
| The rotation is described by three Euler angles, chaining rotations, following a given convention.
static Matrix4d | RotationOnAxis (double angle, Vector3d axis)
| Rotation is done counter-clockwise, around the given axis.
static Matrix4d | Scaling (Vector3d v)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Create matrices for 3D transforms.

## Member Function Documentation

## ◆ RotationEuler()

static Matrix4d IOLink.TransformMatrix4Factory.RotationEuler | ( | Vector3d | angles,
|  | string | convention
| ) |  |
| inline static

The rotation is described by three Euler angles, chaining rotations, following a given convention.

Create a rotation matrix for a rotation using Euler angles.

The convention is decribed by a three-character-string, where each character describes the axis of rotation for the corresponding angle. A lowercase convention means that we are describing an extrinsic rotation, while an uppercase convention means that we are describing an intrinsic rotation. A mixed case convention is invalid.

Extrinsinc and intrinsinc conventions are the inverse of each other, so for example, intrinsinc convention "ZYX" is equivalent to the extrinsic convention "xyz".

Common conventions:

- "ZYX": Rotation around Z, then Y, then X.
- "ZXZ": Rotation around Z, then X, then Z.
  Parameters

    angles | The Euler angles of the rotation.
    convention | The convention used for the rotation.

  Returns
    The rotation matrix.
  Exceptions

    InvalidArgument | If the convention is invalid.

## ◆ RotationOnAxis()

static Matrix4d IOLink.TransformMatrix4Factory.RotationOnAxis | ( | double | angle,
|  | Vector3d | axis
| ) |  |
| inline static

Rotation is done counter-clockwise, around the given axis.

Create a rotation matrix for a rotation around an axis.

Parameters

  angle | The rotation angle.
  axis | The axis around which the rotation is done, must be normalized.

Returns
  The rotation matrix.

## ◆ Scaling()

static Matrix4d IOLink.TransformMatrix4Factory.Scaling | ( | Vector3d | v | ) |
| inline static

Create a scaling matrix.

Parameters

  v | The scaling factors.

Returns
  The scaling matrix.

## ◆ Translation()

static Matrix4d IOLink.TransformMatrix4Factory.Translation | ( | Vector3d | v | ) |
| inline static

Create a translation matrix.

Parameters

  v | The vector used for the translation.

Returns
  The translation matrix.

The documentation for this class was generated from the following file:

- Release/net/generated/TransformMatrix4Factory.cs